"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsumerEventListener = void 0;
const consumer_message_rate_1 = require("./consumer/consumer-message-rate");
const consumer_message_rate_writer_1 = require("./consumer/consumer-message-rate-writer");
const redis_smq_1 = require("redis-smq");
class ConsumerEventListener {
    constructor(redisClient, consumerId, queue, eventProvider) {
        const writer = new consumer_message_rate_writer_1.ConsumerMessageRateWriter(redisClient, queue, consumerId);
        this.consumerMessageRate = new consumer_message_rate_1.ConsumerMessageRate(writer);
        eventProvider.on(redis_smq_1.events.MESSAGE_ACKNOWLEDGED, () => this.consumerMessageRate.incrementAcknowledged());
        eventProvider.on(redis_smq_1.events.MESSAGE_DEAD_LETTERED, () => this.consumerMessageRate.incrementDeadLettered());
    }
    quit(cb) {
        this.consumerMessageRate.quit(cb);
    }
}
exports.ConsumerEventListener = ConsumerEventListener;
//# sourceMappingURL=consumer-event-listener.js.map