"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProducerEventListener = void 0;
const producer_message_rate_1 = require("./producer/producer-message-rate");
const producer_message_rate_writer_1 = require("./producer/producer-message-rate-writer");
const redis_smq_1 = require("redis-smq");
class ProducerEventListener {
    constructor(redisClient, producerId, eventProvider) {
        const writer = new producer_message_rate_writer_1.ProducerMessageRateWriter(redisClient);
        this.producerMessageRate = new producer_message_rate_1.ProducerMessageRate(writer);
        eventProvider.on(redis_smq_1.events.MESSAGE_PUBLISHED, (message) => {
            this.producerMessageRate.incrementPublished(message.getRequiredQueue());
        });
    }
    quit(cb) {
        this.producerMessageRate.quit(cb);
    }
}
exports.ProducerEventListener = ProducerEventListener;
//# sourceMappingURL=producer-event-listener.js.map